import { CreateAccountRequest, ReserveAccountQueryRequest } from "./schemas/accounts.schema";
/**
 * Reserve account
 * @param baseUrl - Baseurl to service url @defaults to http://services-code
 */
export declare function reserveAccount(data: ReserveAccountQueryRequest, baseUrl?: string): Promise<any>;
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-code
 */
export declare function createAccount(data: CreateAccountRequest, baseUrl?: string): Promise<any>;
export type { CreateAccountRequest, ReserveAccountQueryRequest };
